#!/usr/bin/perl
# findlongnames.pl
# Look for names that are too long, or nearly so.  

use newtrace;

my $nLengthFail = 31;
my $nLengthWarn = 28;

# 
$sInput = "";
while (<>)
{
    chomp;
    my @lWords = split( / /, $_ );
    next if ( length( $_ ) < $nLengthWarn );
    while ( @lWords )
    {
        $sRawWord = shift( @lWords );
        ( $sWord ) = $sRawWord =~ /([A-Za-z0-9]+)/;
        $nWord = length( $sWord );
        if ( $nWord > $nLengthWarn ) 
        {
            if ( $nWord > $nLengthFail )
            {
                $sMarker = "****";
            } else
            {
                $sMarker = "    ";
            }
            printf( "%4s %3d  %s\n", $sMarker, $nWord, $sWord );
        }
    }
}

